<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('coin_rate_changes', function (Blueprint $table) {
            $table->string('supply')->after('priceUsd')->nullable();
            $table->string('maxSupply')->after('priceUsd')->nullable();
            $table->string('marketCapUsd')->after('priceUsd')->nullable();
            $table->string('volumeUsd24Hr')->after('priceUsd')->nullable();
            $table->string('vwap24Hr')->after('priceUsd')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('coin_rate_changes', function (Blueprint $table) {
            //
        });
    }
};
